| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Protocols
Protocols.XMLRPC
Protocols.XMLRPC.Fault

# Class Protocols.XMLRPC.Fault

Description

  Represents a fault response which can be one of the return values from a XML-RPC function call.

See also

  decode_response()

syntax

  `int Protocols.XMLRPC.Fault.fault_code`
  `string Protocols.XMLRPC.Fault.fault_string` `void Protocols.XMLRPC.Fault(int fault_code, string fault_string)`

Variable fault_code

  `int Protocols.XMLRPC.Fault.fault_code`

Description

  Represents `faultCode` in the XML-RPC standard.

Variable fault_string

  `int Protocols.XMLRPC.Fault.fault_string`

Description

  Represents `faultString` in the XML-RPC standard.